package com.chelvc.cloud.vehicle.api.param;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class AddProfitRatioConfigParams implements Serializable {

    private static final long serialVersionUID = -3003327769503676313L;

    @Min(value = 0, message = "比例不能小于0")
    @Max(value = 100, message = "比例不能大于100")
    private int ratio;

    @NotNull(message = "类型不能为空")
    private Integer type;

    @Min(value = 0, message = "数量不能小于0")
    private int num;

    /**
     * 前端不传
     */
    private Long userId;
}
