package com.chelvc.cloud.vehicle.api.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.Min;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author valley
 * @date 2024/02/03 16:02
 **/
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class AssessQueryParam  implements Serializable {
    /**
     * 主键
     */
    @Min(value = 0, message = "评论id必须大于0")
    private Long id;

    /**
     * 商品id
     */
    @Min(value = 0, message = "商品id必须大于0")
    private Long goodsId;

    /**
     * 订单id
     */
    @Min(value = 0, message = "订单id必须大于0")
    private Long orderId;

    /**
     * 分数
     */
    private String score;

    /**
     * 是否回复 0 否 1 是
     */
    private Integer isRecover;

    /**
     * 评价人
     */
    private Long creator;

}
